%define pypi_name eduvpn_client

Name:           eduvpn-client
Version:        1.0.3
Release:        %mkrel 4
Summary:        eduVPN client
Group:          Networking/Other
License:        MIT
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://files.pythonhosted.org/packages/source/e/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-dbus
BuildRequires:  python3-gobject
BuildRequires:  python3-pynacl
BuildRequires:  python3-repoze-lru
BuildRequires:  python3-requests-oauthlib
BuildRequires:  python3-future
BuildRequires:  python3-dateutil
BuildRequires:  python3-cryptography
BuildRequires:  python3-qrcode
BuildRequires:  python3-pillow
BuildRequires:  python3-mock
BuildRequires:  python3-test
BuildRequires:  python3-pytest-runner
BuildRequires:  typelib(Notify)
BuildRequires:  typelib(Gtk) < 4

%description
eduVPN desktop client

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests

%check
# tests require a notification daemon
rm -rf tests/actions
rm -f tests/test_actions.py
rm -f tests/test_manager.py
rm -f tests/test_notify.py
%{__python3} setup.py test

%files
%doc LICENSE README.md
%{_bindir}/eduvpn-client
%{_datadir}/applications/eduvpn-client.desktop
%{_datadir}/eduvpn
%{_datadir}/icons/hicolor/128x128/apps/eduvpn-client.png
%{_datadir}/icons/hicolor/256x256/apps/eduvpn-client.png
%{_datadir}/icons/hicolor/48x48/apps/eduvpn-client.png
%{_datadir}/icons/hicolor/512x512/apps/eduvpn-client.png
%{python3_sitelib}/eduvpn
%{python3_sitelib}/eduvpn_client-%{version}-py*.egg-info


%changelog
* Fri Dec 11 2020 wally <wally> 1.0.3-4.mga8
+ Revision: 1655458
- fix gtk3 BR
- update pygobject BR

* Tue Aug 25 2020 guillomovitch <guillomovitch> 1.0.3-3.mga8
+ Revision: 1619023
+ rebuild (emptylog)

* Fri Mar 20 2020 guillomovitch <guillomovitch> 1.0.3-2.mga8
+ Revision: 1558209
- run tests, excepted those requiring D-Bus service

* Wed Mar 18 2020 guillomovitch <guillomovitch> 1.0.3-1.mga8
+ Revision: 1557743
- imported package eduvpn-client

